package com.jty.wsxt.application.service;

import com.jty.wsxt.domain.model.auth.role.AuthRole;
import com.jty.nrsc.interfaces.dto.AuthRoleDto;
import org.springframework.data.domain.Page;

/**
 * AuthRoleServer
 *
 * @author Manjiajie
 * @since 2019-6-13 11:02:21
 */
public interface AuthRoleServer {

    /**通过系统识别码查找对应的角色分页列表
     * @param platform systemCode
     * @param roleDto roleDto
     * @return Page
     */
    Page<AuthRole> findPageRolesByPlatform(String platform, AuthRoleDto roleDto);
    /**
     * 新增角色
     * @param roleDto dto
     * @param platform 平台
     */
    void addRole(AuthRoleDto roleDto, String platform);

    /**
     * 修改角色权限
     * @param roleDto dto
     * @param platform 平台
     */
    void updateRole(AuthRoleDto roleDto,String platform);

    /**
     * 获取一个角色详情
     * @param roleId 角色id
     * @return AuthRole
     */
    AuthRole getRoleById(Integer roleId);
}
