package com.jty.wsxt.application.service;


import com.jty.wsxt.domain.model.auth.user.nrsc.NrscTeacher;
import com.jty.nrsc.interfaces.dto.NrscTeacherDto;
import com.jty.nrsc.interfaces.dto.NrscTeacherSearchDto;
import com.jty.nrsc.interfaces.dto.OperatorDto;
import org.springframework.data.domain.Page;

/**
 * UserService
 *
 * @author Manjiajie
 * @since 2019-6-12 09:44:53
 */
public interface NrscTeacherService {

    /**
     * 获取内容生产老师列表
     * @param searchDto searchDto
     * @return Page
     */
    Page<NrscTeacher> getNrscTeachers(NrscTeacherSearchDto searchDto);

    /**
     * 新增nrsc老师
     * @param nrscTeacherDto nrscTeacherDto
     */
    void saveNrscTeacher(NrscTeacherDto nrscTeacherDto);

    /**
     * 更新nrsc老师
     * @param nrscTeacherDto nrscTeacherDto
     */
    void updateNrscTeacher(NrscTeacherDto nrscTeacherDto);

    /**
     * 重置密码
     * @param userId userId
     */
    String resetPassword(Integer userId);

    /**
     *
     * @param newPassword
     * @param userId
     */
    void changePassword(String newPassword,Integer userId);
    /**
     * 启用
     * @param tercherId tercherId
     * @param
     */
    void enableNrscTeacher(Integer tercherId, OperatorDto operatorDto);

    /**
     * 禁用
     * @param tercherId tercherId
     */
    void disableNrscTeacher(Integer tercherId, OperatorDto operatorDto);
}
