package com.jty.wsxt.domain.model.auth.history;

import com.jty.wsxt.domain.DomainRegistry;
import com.jty.wsxt.domain.shared.IdentifiedEntityObject;
import lombok.Data;

import javax.persistence.Embedded;
import javax.persistence.Entity;

/**
 * 说明
 *
 * @author Manjiajie
 * @since 2019-2-13 19:19:46
 */
@Data
@Entity
public class AuthUserHistory extends IdentifiedEntityObject<AuthUserHistory> {

    private Integer operatorId;
    /**
     * 操作人的名字
     */
    private String operatorName;
    /**
     * 被操作对象id
     */
    @Embedded
    private ManagerId managerId;
    /**
     * 操作项
     */
    private String operation;
    /**
     * 操作原因
     */
    private String operateReason;

    @Override
    public boolean sameIdentityAs(AuthUserHistory other) {
        return false;
    }

    public void save(){
        DomainRegistry.userHistoryRepository().save(this);
    }

}
