package com.jty.wsxt.domain.model.auth.history;

import com.jty.wsxt.domain.DomainRegistry;
import com.jty.wsxt.domain.model.auth.user.DisableUserEvent;
import com.jty.nrsc.infrastructure.DomainEventSubscriber;

/**
 * DisableUserSubscriber
 *
 * @author Manjiajie
 * @since 2019-2-13 19:19:46
 */
public class DisableUserSubscriber extends DomainEventSubscriber<DisableUserEvent> {
    @Override
    public Class<?> subscribedToEventType() {
        return DisableUserEvent.class;
    }

    @Override
    public void handleEvent(DisableUserEvent domainEvent) {
        AuthUserHistory history = new AuthUserHistory();
        history.setManagerId(domainEvent.getManagerId());
        history.setOperatorId(domainEvent.getOperatorDto().getOperatorId());
        history.setOperatorName(domainEvent.getOperatorDto().getOperatorName());
        history.setOperateReason(domainEvent.getOperatorDto().getReason());
        history.setOperation("禁用");
        history.save();
    }
}
