package com.jty.wsxt.domain.model.auth.user.nrsc;

import com.jty.wsxt.domain.DomainRegistry;
import com.jty.wsxt.domain.model.auth.user.AuthUser;
import com.jty.wsxt.domain.model.stage.BasicStage;
import com.jty.wsxt.domain.model.subject.BasicSubject;
import com.jty.wsxt.domain.shared.IdentifiedEntityObject;
import com.jty.nrsc.infrastructure.support.BusinessException;
import com.jty.nrsc.infrastructure.support.ResultCode;
import lombok.Data;
import org.hibernate.annotations.NotFound;
import org.hibernate.annotations.NotFoundAction;

import javax.persistence.Entity;
import javax.persistence.ManyToOne;
import javax.persistence.OneToOne;
import java.time.LocalDateTime;

/**
 * NrscTeacher
 *
 * @author Manjiajie
 * @since 2019-6-12 14:24:22
 */
@Entity
@Data
public class NrscTeacher extends IdentifiedEntityObject<NrscTeacher> {

    @OneToOne
    private AuthUser authUser;

    @ManyToOne
    @NotFound(action= NotFoundAction.IGNORE)
    private BasicSubject subject;

    @ManyToOne
    @NotFound(action= NotFoundAction.IGNORE)
    private BasicStage stage;

    private LocalDateTime lastLoginTime;

    @Override
    public boolean sameIdentityAs(NrscTeacher other) {
        return false;
    }

    public void updateSubjectId(Integer subjectId){
        BasicSubject subject = DomainRegistry.subjectRepository().findById(subjectId).orElseThrow(()->new BusinessException(ResultCode.DATA_IS_WRONG));
        this.setSubject(subject);
    }

    public void updateStageId(Integer stageId){
        BasicStage stage = DomainRegistry.stageRepository().findById(stageId).orElseThrow(()->new BusinessException(ResultCode.DATA_IS_WRONG));
        this.setStage(stage);
    }

    public void save(){
        DomainRegistry.nrscTeacherRepository().save(this);
    }
}
