package com.jty.wsxt.domain.model.stage;

import com.jty.wsxt.domain.model.auth.user.AuthUser;
import com.jty.wsxt.domain.shared.IdentifiedEntityObject;
import lombok.Data;
import org.hibernate.annotations.Cache;
import org.hibernate.annotations.CacheConcurrencyStrategy;

import javax.persistence.Cacheable;
import javax.persistence.Column;
import javax.persistence.Entity;

/**
 * BasicStage
 *
 * @author Manjiajie
 * @since 2019-6-12 10:19:51
 */
@Entity
@Data
@Cacheable
@Cache(usage = CacheConcurrencyStrategy.NONSTRICT_READ_WRITE,region = "entityCache")
public class BasicStage extends IdentifiedEntityObject<AuthUser> {
    /**
     * 学段名称
     */
    @Column(name="name")
    private String name;

    /**
     * 简写
     */
    @Column(name="short_name")
    private String shortName;

    /**
     * 排序
     */
    @Column
    private Integer ordinal;

    /**
     * 是否使用
     */
    @Column(name="is_used")
    private Boolean used;

    /***
     * 学段值
     */
    @Column
    private Integer value;

    @Override
    public boolean sameIdentityAs(AuthUser other) {
        return false;
    }
}
