package com.jty.wsxt.domain.model.subject;

import com.jty.wsxt.domain.model.auth.user.AuthUser;
import com.jty.wsxt.domain.shared.IdentifiedEntityObject;
import lombok.Data;
import org.hibernate.annotations.Cache;
import org.hibernate.annotations.CacheConcurrencyStrategy;

import javax.persistence.Cacheable;
import javax.persistence.Column;
import javax.persistence.Entity;

/**
 * BasicSubject
 *
 * @author Manjiajie
 * @since 2019-6-12 10:20:03
 */
@Entity
@Data
@Cacheable
@Cache(usage = CacheConcurrencyStrategy.NONSTRICT_READ_WRITE,region = "entityCache")
public class BasicSubject extends IdentifiedEntityObject<AuthUser> {
    /**
     * 科目名称
     */
    @Column(name = "name")
    private String name;

    /***
     * 排序
     */
    @Column(name = "ordinal")
    private Integer ordinal;

    /**
     * 是否使用
     */
    @Column(name="is_used")
    private Boolean used;

    /***
     * 学段ID
     */
    @Column(name = "stage_id")
    private Integer stageId;

    @Override
    public boolean sameIdentityAs(AuthUser other) {
        return false;
    }
}
