/**
 * 
 */
package com.jty.wsxt.infrastructure.code.image;

import com.fasterxml.jackson.databind.ObjectMapper;
import com.jty.wsxt.infrastructure.code.impl.AbstractValidateCodeProcessor;
import com.jty.wsxt.infrastructure.support.Result;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;
import org.springframework.web.context.request.ServletWebRequest;

import javax.imageio.ImageIO;
import javax.servlet.http.HttpServletResponse;
import java.io.ByteArrayOutputStream;
import java.util.Base64;


/**
 * 图片验证码处理器
 *
 * @author Jason
 * @since 2019/1/7 17:51
 */
@Component("imageValidateCodeProcessor")
public class ImageCodeProcessor extends AbstractValidateCodeProcessor<ImageCode> {

	@Autowired
	private ObjectMapper objectMapper;
	/**
	 * 发送图形验证码，将其写到响应中
	 */
	@Override
	protected void send(ServletWebRequest request, ImageCode imageCode) throws Exception {
		HttpServletResponse response=request.getResponse();
		ByteArrayOutputStream outputStream = new ByteArrayOutputStream();
		ImageIO.write(imageCode.getImage(), "jpg", outputStream);
		String base64Img = Base64.getEncoder().encodeToString(outputStream.toByteArray());
		response.setCharacterEncoding("UTF-8");
		response.getWriter().write(objectMapper.writeValueAsString(Result.success(base64Img)));
	}

}
