package com.jty.wsxt.infrastructure.code.sms;

import com.fasterxml.jackson.databind.ObjectMapper;
import com.jty.wsxt.infrastructure.code.ValidateCode;
import com.jty.wsxt.infrastructure.code.impl.AbstractValidateCodeProcessor;
import com.jty.wsxt.infrastructure.properties.SecurityConstants;
import com.jty.wsxt.infrastructure.support.Result;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;
import org.springframework.web.bind.ServletRequestUtils;
import org.springframework.web.context.request.ServletWebRequest;

import javax.servlet.http.HttpServletResponse;

/**
 * 短信验证码生成器
 *
 * @author Jason
 * @since 2019/1/7 17:35
 */
@Component("smsValidateCodeProcessor")
public class SmsCodeProcessor extends AbstractValidateCodeProcessor<ValidateCode> {

	/**
	 * 短信验证码发送器
	 */
	@Autowired
	private SmsCodeSender smsCodeSender;

	@Autowired
	private ObjectMapper objectMapper;

	@Override
	protected void send(ServletWebRequest request, ValidateCode validateCode) throws Exception {
		String paramName = SecurityConstants.DEFAULT_PARAMETER_NAME_MOBILE;
		String mobile = ServletRequestUtils.getRequiredStringParameter(request.getRequest(), paramName);
		smsCodeSender.send(mobile, validateCode.getCode());
		HttpServletResponse response=request.getResponse();
		response.setCharacterEncoding("UTF-8");
		response.getWriter().write(objectMapper.writeValueAsString(Result.success()));
	}

}
