package com.jty.wsxt.infrastructure.security.embed;

import com.jty.wsxt.infrastructure.support.BusinessException;
import com.jty.wsxt.infrastructure.support.ResultCode;
import org.apache.commons.lang.StringUtils;
import org.springframework.security.authentication.AuthenticationProvider;
import org.springframework.security.core.Authentication;
import org.springframework.security.core.AuthenticationException;
import org.springframework.security.core.GrantedAuthority;
import org.springframework.security.core.authority.SimpleGrantedAuthority;

import java.util.ArrayList;
import java.util.List;

/**
 * 嵌入认证Provider
 * 实施具体的认证
 *
 * @author Jason
 * @since 2019/2/19 10:10
 */
public class EmbedAuthenticationProvider implements AuthenticationProvider {


    @Override
    public Authentication authenticate(Authentication authentication) throws AuthenticationException {
        EmbedAuthenticationToken token=(EmbedAuthenticationToken)authentication;
        String accout= token.getPrincipal();
        if(StringUtils.isEmpty(accout)){
            throw new BusinessException(ResultCode.PARAM_IS_INVALID);
        }
//        SRBTeacher srbTeacher=srbTeacherService.findByAccount(accout);
//        if(srbTeacher==null){
//            // todo 新增学校教师
//        }
        List<GrantedAuthority> authorityList=new ArrayList<>();
        authorityList.add(new SimpleGrantedAuthority("embed"));
        return new EmbedAuthenticationToken(accout,authorityList);
    }

    @Override
    public boolean supports(Class<?> authentication) {
         return (EmbedAuthenticationToken.class
                .isAssignableFrom(authentication));
    }


}
